Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#44428 - [yaml-cpp] 0.5.2-1 cause fcitx-rime crash

Attached to Project: Community Packages
Opened by Jiachen Yang (farseerfc) - Wednesday, 01 April 2015, 11:26 GMT
Last edited by Doug Newgard (Scimmia) - Thursday, 02 April 2015, 15:34 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Sven-Hendrik Haase (Svenstaro)
Architecture x86_64
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
Updating yaml-cpp to 0.5.2-1 will crash fcitx (with rime be the first input method).
Downgrade yaml-cpp to 0.5.1-1 fixed the problem.
Maybe we need a rebuild of librime (and possible other packages depend on the ABI) before upgrading yaml-cpp.

Additional info:
* package version(s)
yaml-cpp 0.5.2-1
librime 1.2.20141112-1
fcitx-rime 0.3.1-2
fcitx 4.2.8.6-1

* config and/or log files etc.
fcitx crash log as follows:

=========================
FCITX 4.2.8.5 -- Get Signal No.: 11
Date: try "date -d @1427886223" if you are using GNU date ***
ProcessID: 6258
fcitx[0x4015db]
/usr/lib/libc.so.6(+0x33540)[0x7f0d3c339540]
/usr/lib/libstdc++.so.6(_ZNSsC1ERKSs+0x1b)[0x7f0d387c2acb]
/usr/lib/librime.so.1(_ZNK4YAML4Node2asISsEEKT_v+0x31)[0x7f0d26fe4341]
/usr/lib/librime.so.1(_ZN4rime10ConfigData15ConvertFromYamlERKN4YAML4NodeE+0x548)[0x7f0d26fdd788]
/usr/lib/librime.so.1(_ZN4rime10ConfigData12LoadFromFileERKSs+0x187)[0x7f0d26fdded7]
/usr/lib/librime.so.1(_ZN4rime18InstallationUpdate3RunEPNS_8DeployerE+0x150)[0x7f0d27107fc0]
/usr/lib/librime.so.1(_ZN4rime8Deployer7RunTaskERKSsN5boost3anyE+0xae)[0x7f0d26ff462e]
/usr/lib/librime.so.1(RimeStartMaintenance+0xb4)[0x7f0d2700ba14]
/usr/lib/fcitx/fcitx-rime.so(+0x21f7)[0x7f0d273851f7]
/usr/lib/fcitx/fcitx-rime.so(+0x2289)[0x7f0d27385289]
/usr/lib/libfcitx-core.so.0(+0x11b07)[0x7f0d3cd05b07]
/usr/lib/libfcitx-core.so.0(+0x14cc0)[0x7f0d3cd08cc0]
/usr/lib/libfcitx-core.so.0(+0x1365c)[0x7f0d3cd0765c]
/usr/lib/libfcitx-core.so.0(FcitxInstanceUpdateIMList+0x25d)[0x7f0d3cd0798d]
/usr/lib/libfcitx-core.so.0(+0x1489b)[0x7f0d3cd0889b]
/usr/lib/libfcitx-core.so.0(+0xa04c)[0x7f0d3ccfe04c]
/usr/lib/libfcitx-core.so.0(FcitxInstanceRun+0x210)[0x7f0d3ccfec40]
fcitx[0x400f96]
/usr/lib/libc.so.6(__libc_start_main+0xf0)[0x7f0d3c326800]
fcitx(_start+0x29)[0x401009]

Steps to reproduce:

Update yaml-cpp to 0.5.2-1 and restart fcitx (with rime be the first input method), fcitx will crash with above crash log.
This task depends upon

Closed by  Doug Newgard (Scimmia)
Thursday, 02 April 2015, 15:34 GMT
Reason for closing:  Fixed
Additional comments about closing:  librime 1.2.20141205-2
Comment by Jiachen Yang (farseerfc) - Thursday, 02 April 2015, 09:08 GMT
With updated librime 1.2.20141205-2 the issue has been fixed.

Loading...